Bug 501849 - [ml_IN][GSUB] U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D move to the right of the font need pressing right arrow key many times
[ml_IN][GSUB] U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D move to the right of ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 22:34 EDT by koka xiong
Modified: 2009-11-12 01:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 01:21:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description koka xiong 2009-05-20 22:34:38 EDT
Description of problem:
In gedit input U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D with RAW CODE,then
press right arrow key,we need press right arrow key many times to move to the right of the font

Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.In gedit input U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D with RAW CODE,then
press right arrow key

Actual results:
we need press right arrow key many times to move to the right of the font

Expected result:
We need only press one time to move to the right of the font

Additional info: 
U+0D05 U+0D2A U+0D4D U+0D21 U+0D47 U+0D31 U+0D4D U+0D31 U+0D4D
U+0D05 U+0D2A U+0D4D U+0D17 U+0D4D U+0D30 U+0D47 U+0D21 U+0D4D
U+0D35 U+0D4D U+0D2F U+0D15 U+0D4D U+0D24 U+0D02
U+0D07 U+0D28 U+0D4D U+200D U+0D38 U+0D4D U+0D31 U+0D4D U+0D31 U+0D4B U+0D33
U+0D4D U+200D
also has the same problem
Comment 1 Ani Peter 2009-11-04 05:48:18 EST
I feel this is the expected behavior. Still, if you feel something is wrong, please help me understanding the bug.
Comment 2 Pravin Satpute 2009-11-12 01:21:42 EST
i guess better to close this bug
please reopen if you feel any problem

Note You need to log in before you can comment on or make changes to this bug.